Bug 243567 - gnome-background-properties assertion/infinite loop
gnome-background-properties assertion/infinite loop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 16:53 EDT by Sam Varshavchik
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2007-06-09 16:53:02 EDT
I was just playing in the control center, clicking different background images,
at random.  After switching back and forth between random images, the entire
dialog froze up and stop responding.

ps showed gnome-background-properties eating CPU.  strace showed that this is
what it was doing:

write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_width: assertion `pixbuf != NULL\' failed\n", 117) = 117
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_height: assertion `pixbuf != NULL\' failed\n", 118) = 118
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_composite: assertion `src != NULL\' failed\n", 114) = 114
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_width: assertion `pixbuf != NULL\' failed\n", 117) = 117
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_height: assertion `pixbuf != NULL\' failed\n", 118) = 118
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_composite: assertion `src != NULL\' failed\n", 114) = 114
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_width: assertion `pixbuf != NULL\' failed\n", 117) = 117
write(2, "\n(gnome-background-properties:16682): GdkPixbuf-CRITICAL **:
gdk_pixbuf_get_height: assertion `pixbuf != NULL\' failed\n", 118) = 118

...

and so on, and so on, and so on...
Comment 1 Bastien Nocera 2007-06-11 05:36:54 EDT
Could you please run gnome-background-properties with "--g-fatal-warnings" and
get the debug backtrace of the crash?

http://fedoraproject.org/wiki/StackTraces has details. Make sure you install the
appropriate debuginfo packages so that the backtrace has symbols.
Comment 2 Sam Varshavchik 2007-06-14 20:01:57 EDT
I believe that I explained that this was not a crash.
Gnome-background-properties was spinning in an infinite loop, printing an
endless stream of these two error messages.

I'll keep trying to repeat this bug, and will update this bug when I do.
Comment 3 Bastien Nocera 2007-06-14 21:42:15 EDT
If you run it with --g-fatal-warnings, it will crash when printing the warning,
instead of looping. Then you can gather a backtrace.
Comment 4 Brian Powell 2008-04-25 00:07:27 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.